jQuery( document ).ready( function($) {
	// Button Tooltip
		var tooltipText = $( '#btnsx_opt_tooltip_text' ).val();
		var tooltipAnimation = $( '#btnsx_opt_tooltip_animation' ).val();
		if( tooltipAnimation == '' ){
			tooltipAnimation = 'fade';
		}
		var tooltipPosition = $( '#btnsx_opt_tooltip_position' ).val();
		if( tooltipPosition == '' ){
			tooltipPosition = 'top';
		}
		var tooltipTheme = $( '#btnsx_opt_tooltip_theme' ).val();
		if( tooltipTheme == '' ){
			tooltipTheme = 'top';
		}
		if( tooltipText !== '' ) {
			$('#btnsx-preview-btn').tooltipster({
				content: tooltipText,
				animation: tooltipAnimation,
				position: tooltipPosition,
			   	delay: 100,
			   	theme: tooltipTheme,
			   	touchDevices: true,
			   	trigger: 'hover',
			   	contentAsHTML: true,
			   	hideOnClick: true,
			   	interactive: true
			});
		} else {
			console.log('works');
			$('#btnsx-preview-btn').tooltipster({
			   	delay: 100,
			   	touchDevices: true,
			   	trigger: 'hover',
			   	contentAsHTML: true,
			   	hideOnClick: true,
			   	interactive: true
			});
		}

		$('#btnsx_opt_tooltip_text').on('propertychange keyup input',function(){
			var text = $(this).val();
			$('#btnsx-preview-btn').tooltipster( 'content', text );
		});

		$('#btnsx_opt_tooltip_position').on('change',function(){
			var option = $(this).val();
			$('#btnsx-preview-btn').tooltipster( 'option', 'position', option );
		});

		$('#btnsx_opt_tooltip_animation').on('change',function(){
			var option = $(this).val();
			$('#btnsx-preview-btn').tooltipster( 'option', 'animation', option );
		});

		$('#btnsx_opt_tooltip_theme').on('change',function(){
			var option = $(this).val();
			$('#btnsx-preview-btn').tooltipster( 'option', 'theme', option );
		});
});